> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Warrant Exercise Request

> Creates and sends a DocuSign exercise-notice envelope for a warrant and returns an embedded signing URL.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json POST /tga/create-warrant-exercise-request
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/create-warrant-exercise-request:
    post:
      operationId: createWarrantExerciseRequest
      summary: Create Warrant Exercise Request
      description: >-
        Creates and sends a DocuSign exercise-notice envelope for a warrant and
        returns an embedded signing URL.


        Not available to API keys.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateWarrantExerciseRequestRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateWarrantExerciseRequestResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    CreateWarrantExerciseRequestRequest:
      type: object
      properties:
        warrantID:
          type: string
      required:
        - warrantID
    CreateWarrantExerciseRequestResponse:
      type: object
      properties:
        url:
          type: string
      required:
        - url
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
